import { OnInit, EventEmitter, QueryList } from '@angular/core';
import { DiariseOptionModel } from '../../models/diarise-option.model';
import { DiariseOptionClickEvent } from '../../events/diarise-option-click-event';
import { E5coreUiDatepickerComponent } from '../e5core-ui-datepicker/e5core-ui-datepicker.component';
import { BehaviorSubject } from 'rxjs';
import { WorkItemModel } from '../../models/work-item';
import { WorkMenuItemFoundationService, WorkItemFoundationService } from 'e5core-angular-services';
import { WorkDiariseEvent } from '../../events/work-diarise-event';
import { DatePipe } from '@angular/common';
import { DiariseReasonModel } from '../../models/diarise-reason.model';
export declare class E5coreUiWorkDiariseComponent implements OnInit {
    private workItemFoundationService;
    private workMenuItemService;
    private locale;
    private datePipe;
    workItem$: BehaviorSubject<WorkItemModel>;
    diariseReasons$: BehaviorSubject<DiariseReasonModel>;
    periodChange: EventEmitter<DiariseOptionClickEvent>;
    dateChange: EventEmitter<any>;
    reasonTextChange: EventEmitter<any>;
    reasonChange: EventEmitter<any>;
    diariseClick: EventEmitter<WorkDiariseEvent>;
    timeChange: EventEmitter<any>;
    periodOptions: DiariseOptionModel[];
    reasons: DiariseReasonModel[];
    diariseReasonPropertyId: string;
    displayedDate: Date;
    displayedTime: string;
    diariseReasonPlaceHolder: string;
    diariseReasonTextValue: string;
    diariseReasonOption: string;
    showDiariseTime: boolean;
    showDiariseButton: boolean;
    showReasonDropdown: boolean;
    showDiariseReasonDropdown: boolean;
    workItemModel: WorkItemModel;
    workId: string;
    diarisePeriodOption: DiariseOptionModel;
    private _diariseDate;
    diariseDate: Date;
    datePickerComponents: QueryList<E5coreUiDatepickerComponent>;
    constructor(workItemFoundationService: WorkItemFoundationService, workMenuItemService: WorkMenuItemFoundationService, locale: string, datePipe: DatePipe);
    ngOnInit(): void;
    private calculateDiariseDate(clickedDiariseOption);
    private setDatePickerDate();
    private formatAMPM(tempDate);
    onDiarisePeriodOptionClick($event: DiariseOptionClickEvent): void;
    onDiariseButtonClick($event: WorkDiariseEvent): void;
    onDiariseDateChange($event: any): void;
    onDiariseReasonTextChange($event: any): void;
    onDiariseReasonChange($event: any): void;
    onTimeChange(time: any): void;
    GetDiariseReasons(): void;
    DiariseWorkItem(workDiariseEvent: WorkDiariseEvent): void;
    ConstructWorkDiariseEvent(eventSource: any): WorkDiariseEvent;
    ConvertTime12to24(time12h: any): string;
}
